> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# List all bill check payments

> Returns a list of bill check payments. Use the `cursor` parameter to paginate through the results.



## OpenAPI

````yaml GET /quickbooks-desktop/bill-check-payments
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/bill-check-payments:
    get:
      summary: List all bill check payments
      description: >-
        Returns a list of bill check payments. Use the `cursor` parameter to
        paginate through the results.
      parameters:
        - in: query
          name: ids
          description: >-
            Filter for specific bill check payments by their QuickBooks-assigned
            unique identifier(s).


            **IMPORTANT**: If you include this parameter, QuickBooks will ignore
            all other query parameters for this request.


            **NOTE**: If any of the values you specify in this parameter are not
            found, the request will return an error.
          schema:
            type: array
            items:
              type: string
            description: >-
              Filter for specific bill check payments by their
              QuickBooks-assigned unique identifier(s).


              **IMPORTANT**: If you include this parameter, QuickBooks will
              ignore all other query parameters for this request.


              **NOTE**: If any of the values you specify in this parameter are
              not found, the request will return an error.
            example:
              - 123ABC-1234567890
        - in: query
          name: refNumbers
          description: >-
            Filter for specific bill check payments by their ref-number(s),
            case-sensitive. In QuickBooks, ref-numbers are not required to be
            unique and can be arbitrarily changed by the QuickBooks user.


            **IMPORTANT**: If you include this parameter, QuickBooks will ignore
            all other query parameters for this request.


            **NOTE**: If any of the values you specify in this parameter are not
            found, the request will return an error.
          schema:
            type: array
            items:
              type: string
            description: >-
              Filter for specific bill check payments by their ref-number(s),
              case-sensitive. In QuickBooks, ref-numbers are not required to be
              unique and can be arbitrarily changed by the QuickBooks user.


              **IMPORTANT**: If you include this parameter, QuickBooks will
              ignore all other query parameters for this request.


              **NOTE**: If any of the values you specify in this parameter are
              not found, the request will return an error.
            example:
              - BILL CHECK PAYMENT-1234
        - in: query
          name: limit
          description: >-
            The maximum number of objects to return. Accepts values ranging from
            1 to 150, defaults to 150. When used with cursor-based pagination,
            this parameter controls how many results are returned per page. To
            paginate through results, combine this with the `cursor` parameter.
            Each response will include a `nextCursor` value that can be passed
            to subsequent requests to retrieve the next page of results.
          schema:
            type: integer
            minimum: 1
            maximum: 150
            default: 150
            description: >-
              The maximum number of objects to return. Accepts values ranging
              from 1 to 150, defaults to 150. When used with cursor-based
              pagination, this parameter controls how many results are returned
              per page. To paginate through results, combine this with the
              `cursor` parameter. Each response will include a `nextCursor`
              value that can be passed to subsequent requests to retrieve the
              next page of results.
            example: 150
        - in: query
          name: cursor
          description: >-
            The pagination token to fetch the next set of results when
            paginating with the `limit` parameter. Do not include this parameter
            on the first call. Use the `nextCursor` value returned in the
            previous response to request subsequent results.
          schema:
            type: string
            description: >-
              The pagination token to fetch the next set of results when
              paginating with the `limit` parameter. Do not include this
              parameter on the first call. Use the `nextCursor` value returned
              in the previous response to request subsequent results.
            example: 12345678-abcd-abcd-example-1234567890ab
        - in: query
          name: updatedAfter
          description: >-
            Filter for bill check payments updated on or after this date/time.
            Accepts the following ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **start of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T00:00:00`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
          schema:
            type: string
            description: >-
              Filter for bill check payments updated on or after this date/time.
              Accepts the following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **start of the specified day** in the local timezone
              of the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T00:00:00`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-01-01T12:34:56.000Z'
        - in: query
          name: updatedBefore
          description: >-
            Filter for bill check payments updated on or before this date/time.
            Accepts the following ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **end of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T23:59:59`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
          schema:
            type: string
            description: >-
              Filter for bill check payments updated on or before this
              date/time. Accepts the following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **end of the specified day** in the local timezone of
              the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T23:59:59`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-02-01T12:34:56.000Z'
        - in: query
          name: transactionDateFrom
          description: >-
            Filter for bill check payments whose `date` field is on or after
            this date, in ISO 8601 format (YYYY-MM-DD).


            **NOTE:** QuickBooks Desktop interprets this date as the **start of
            the specified day** in the local timezone of the end-user's computer
            (e.g., `2025-01-01` → `2025-01-01T00:00:00`).
          schema:
            type: string
            format: date
            description: >-
              Filter for bill check payments whose `date` field is on or after
              this date, in ISO 8601 format (YYYY-MM-DD).


              **NOTE:** QuickBooks Desktop interprets this date as the **start
              of the specified day** in the local timezone of the end-user's
              computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).
            example: '2025-01-01'
        - in: query
          name: transactionDateTo
          description: >-
            Filter for bill check payments whose `date` field is on or before
            this date, in ISO 8601 format (YYYY-MM-DD).


            **NOTE:** QuickBooks Desktop interprets this date as the **end of
            the specified day** in the local timezone of the end-user's computer
            (e.g., `2025-01-01` → `2025-01-01T23:59:59`).
          schema:
            type: string
            format: date
            description: >-
              Filter for bill check payments whose `date` field is on or before
              this date, in ISO 8601 format (YYYY-MM-DD).


              **NOTE:** QuickBooks Desktop interprets this date as the **end of
              the specified day** in the local timezone of the end-user's
              computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).
            example: '2025-02-01'
        - in: query
          name: vendorIds
          description: >-
            Filter for bill check payments sent to these vendors. These are the
            vendors who sent the bills paid by these checks.
          schema:
            type: array
            items:
              type: string
            description: >-
              Filter for bill check payments sent to these vendors. These are
              the vendors who sent the bills paid by these checks.
            example:
              - 80000001-1234567890
        - in: query
          name: accountIds
          description: Filter for bill check payments associated with these accounts.
          schema:
            type: array
            items:
              type: string
            description: Filter for bill check payments associated with these accounts.
            example:
              - 80000001-1234567890
        - in: query
          name: refNumberContains
          description: >-
            Filter for bill check payments whose `refNumber` contains this
            substring. (For checks, this field is the check number.)


            **NOTE**: If you use this parameter, you cannot also use
            `refNumberStartsWith` or `refNumberEndsWith`.
          schema:
            type: string
            description: >-
              Filter for bill check payments whose `refNumber` contains this
              substring. (For checks, this field is the check number.)


              **NOTE**: If you use this parameter, you cannot also use
              `refNumberStartsWith` or `refNumberEndsWith`.
            example: CHECK-1234
        - in: query
          name: refNumberStartsWith
          description: >-
            Filter for bill check payments whose `refNumber` starts with this
            substring. (For checks, this field is the check number.)


            **NOTE**: If you use this parameter, you cannot also use
            `refNumberContains` or `refNumberEndsWith`.
          schema:
            type: string
            description: >-
              Filter for bill check payments whose `refNumber` starts with this
              substring. (For checks, this field is the check number.)


              **NOTE**: If you use this parameter, you cannot also use
              `refNumberContains` or `refNumberEndsWith`.
            example: CHECK
        - in: query
          name: refNumberEndsWith
          description: >-
            Filter for bill check payments whose `refNumber` ends with this
            substring. (For checks, this field is the check number.)


            **NOTE**: If you use this parameter, you cannot also use
            `refNumberContains` or `refNumberStartsWith`.
          schema:
            type: string
            description: >-
              Filter for bill check payments whose `refNumber` ends with this
              substring. (For checks, this field is the check number.)


              **NOTE**: If you use this parameter, you cannot also use
              `refNumberContains` or `refNumberStartsWith`.
            example: '1234'
        - in: query
          name: refNumberFrom
          description: >-
            Filter for bill check payments whose `refNumber` is greater than or
            equal to this value. (For checks, this field is the check number.)
            If omitted, the range will begin with the first number of the list.
            Uses a numerical comparison for values that contain only digits;
            otherwise, uses a lexicographical comparison.
          schema:
            type: string
            description: >-
              Filter for bill check payments whose `refNumber` is greater than
              or equal to this value. (For checks, this field is the check
              number.) If omitted, the range will begin with the first number of
              the list. Uses a numerical comparison for values that contain only
              digits; otherwise, uses a lexicographical comparison.
            example: CHECK-0001
        - in: query
          name: refNumberTo
          description: >-
            Filter for bill check payments whose `refNumber` is less than or
            equal to this value. (For checks, this field is the check number.)
            If omitted, the range will end with the last number of the list.
            Uses a numerical comparison for values that contain only digits;
            otherwise, uses a lexicographical comparison.
          schema:
            type: string
            description: >-
              Filter for bill check payments whose `refNumber` is less than or
              equal to this value. (For checks, this field is the check number.)
              If omitted, the range will end with the last number of the list.
              Uses a numerical comparison for values that contain only digits;
              otherwise, uses a lexicographical comparison.
            example: CHECK-9999
        - in: query
          name: currencyIds
          description: Filter for bill check payments in these currencies.
          schema:
            type: array
            items:
              type: string
            description: Filter for bill check payments in these currencies.
            example:
              - 80000001-1234567890
        - in: query
          name: includeLineItems
          description: Whether to include line items in the response. Defaults to `true`.
          schema:
            type: boolean
            description: Whether to include line items in the response. Defaults to `true`.
            example: true
            default: true
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: Returns a list of bill check payments.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                type: object
                properties:
                  objectType:
                    type: string
                    const: list
                    description: The type of object. This value is always `"list"`.
                    example: list
                  url:
                    type: string
                    description: The endpoint URL where this list can be accessed.
                    example: /v1/quickbooks-desktop/bill-check-payments
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/qbd_bill_check_payment'
                    description: The array of bill check payments.
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The `nextCursor` is a pagination token returned in the
                      response when you use the `limit` parameter in your
                      request. To retrieve subsequent pages of results, include
                      this token as the value of the `cursor` request parameter
                      in your following API calls.


                      **NOTE**: The `nextCursor` value remains constant
                      throughout the pagination process for a specific list
                      instance; continue to use the same `nextCursor` token in
                      each request to fetch additional pages.
                    example: 12345678-abcd-abcd-example-1234567890ab
                  remainingCount:
                    type:
                      - number
                      - 'null'
                    description: The number of objects remaining to be fetched.
                    example: 10
                  hasMore:
                    type: boolean
                    description: Indicates whether there are more objects to be fetched.
                required:
                  - objectType
                  - url
                  - data
                  - nextCursor
                  - remainingCount
                  - hasMore
                additionalProperties: false
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const billCheckPayment of
            conductor.qbd.billCheckPayments.list({
              conductorEndUserId: 'end_usr_1234567abcdefg',
            })) {
              console.log(billCheckPayment.id);
            }
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            page = conductor.qbd.bill_check_payments.list(
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            page = page.data[0]
            print(page.id)
components:
  schemas:
    qbd_bill_check_payment:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this bill check
            payment. This ID is unique across all transaction types.
          example: 123ABC-1234567890
        objectType:
          type: string
          const: qbd_bill_check_payment
          description: The type of object. This value is always `"qbd_bill_check_payment"`.
          example: qbd_bill_check_payment
        createdAt:
          type: string
          description: >-
            The date and time when this bill check payment was created, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        updatedAt:
          type: string
          description: >-
            The date and time when this bill check payment was last updated, in
            ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks
            Desktop interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        revisionNumber:
          type: string
          description: >-
            The current QuickBooks-assigned revision number of this bill check
            payment object, which changes each time the object is modified. When
            updating this object, you must provide the most recent
            `revisionNumber` to ensure you're working with the latest data;
            otherwise, the update will return an error.
          example: '1721172183'
        vendor:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The vendor who sent the bill(s) that this bill check payment is
            paying and who will receive this payment.


            **IMPORTANT**: This vendor must match the `vendor` on the bill(s)
            specified in `applyToTransactions`.
          example:
            id: 80000001-1234567890
            fullName: Suppliers:ABC Office Supplies
        payablesAccount:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The Accounts-Payable (A/P) account to which this bill check payment
            is assigned, used to track the amount owed. If not specified,
            QuickBooks Desktop will use its default A/P account.


            **IMPORTANT**: If this bill check payment is linked to other
            transactions, this A/P account must match the `payablesAccount` used
            in those other transactions.
          example:
            id: 80000001-1234567890
            fullName: Accounts-Payable
        transactionDate:
          type: string
          format: date
          description: >-
            The date of this bill check payment, in ISO 8601 format
            (YYYY-MM-DD).
          example: '2024-10-01'
        bankAccount:
          type: object
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The bank account from which the funds are being drawn for this bill
            check payment; e.g., Checking or Savings. This bill check payment
            will decrease the balance of this account.
          example:
            id: 80000001-1234567890
            fullName: Checking
        amount:
          type: string
          description: >-
            The monetary amount of this bill check payment, represented as a
            decimal string.
          example: '1000.00'
        currency:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The bill check payment's currency. For built-in currencies, the name
            and code are standard ISO 4217 international values. For
            user-defined currencies, all values are editable.
          example:
            id: 80000001-1234567890
            fullName: USD
        exchangeRate:
          type:
            - number
            - 'null'
          description: >-
            The market exchange rate between this bill check payment's currency
            and the home currency in QuickBooks at the time of this transaction.
            Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD
            if USD is the home currency).
          example: 1.2345
        amountInHomeCurrency:
          type:
            - string
            - 'null'
          description: >-
            The monetary amount of this bill check payment converted to the home
            currency of the QuickBooks company file. Represented as a decimal
            string.
          example: '1234.56'
        refNumber:
          type:
            - string
            - 'null'
          description: >-
            The case-sensitive user-defined reference number for this bill check
            payment, which can be used to identify the transaction in
            QuickBooks. This value is not required to be unique and can be
            arbitrarily changed by the QuickBooks user.


            **IMPORTANT**: For checks, this field is the check number.
          example: CHECK-1234
        memo:
          type:
            - string
            - 'null'
          description: A memo or note for this bill check payment.
          example: Payment for office supplies - Invoice INV-1234
        address:
          oneOf:
            - $ref: '#/components/schemas/qbd_address'
            - type: 'null'
          description: The address that is printed on the bill check payment.
        isQueuedForPrint:
          type:
            - boolean
            - 'null'
          description: >-
            Indicates whether this bill check payment is included in the queue
            of documents for QuickBooks to print.
          example: true
        externalId:
          type:
            - string
            - 'null'
          description: >-
            A globally unique identifier (GUID) you, the developer, can provide
            for tracking this object in your external system. This field is
            immutable and can only be set during object creation.
          example: 12345678-abcd-1234-abcd-1234567890ab
        appliedToTransactions:
          type: array
          items:
            $ref: '#/components/schemas/qbd_receivable_transaction'
          description: The bill(s) paid by this bill check payment.
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/qbd_custom_field'
          description: >-
            The custom fields for the bill check payment object, added as
            user-defined data extensions, not included in the standard
            QuickBooks object.
      required:
        - id
        - objectType
        - createdAt
        - updatedAt
        - revisionNumber
        - vendor
        - payablesAccount
        - transactionDate
        - bankAccount
        - amount
        - currency
        - exchangeRate
        - amountInHomeCurrency
        - refNumber
        - memo
        - address
        - isQueuedForPrint
        - externalId
        - appliedToTransactions
        - customFields
      additionalProperties: false
      title: The Bill Check Payment object
      x-conductor-object-type: transaction
      summary: >-
        A bill check payment records a payment made by check to pay off one or
        more vendor bills. It reduces accounts payable and decreases the bank
        account balance. This transaction links the original bill(s) with the
        payment, allowing QuickBooks to track which bills have been paid and
        maintain accurate vendor balances.
    qbd_address:
      type: object
      properties:
        line1:
          type:
            - string
            - 'null'
          description: >-
            The first line of the address (e.g., street, PO Box, or company
            name).
          example: Conductor Labs Inc.
        line2:
          type:
            - string
            - 'null'
          description: >-
            The second line of the address, if needed (e.g., apartment, suite,
            unit, or building).
          example: 540 Market St.
        line3:
          type:
            - string
            - 'null'
          description: The third line of the address, if needed.
          example: Suite 100
        line4:
          type:
            - string
            - 'null'
          description: The fourth line of the address, if needed.
          example: ''
        line5:
          type:
            - string
            - 'null'
          description: The fifth line of the address, if needed.
          example: ''
        city:
          type:
            - string
            - 'null'
          description: The city, district, suburb, town, or village name of the address.
          example: San Francisco
        state:
          type:
            - string
            - 'null'
          description: The state, county, province, or region name of the address.
          example: CA
        postalCode:
          type:
            - string
            - 'null'
          description: The postal code or ZIP code of the address.
          example: '94110'
        country:
          type:
            - string
            - 'null'
          description: The country name of the address.
          example: United States
        note:
          type:
            - string
            - 'null'
          description: >-
            A note written at the bottom of the address in the form in which it
            appears, such as the invoice form.
          example: Conductor HQ
      required:
        - line1
        - line2
        - line3
        - line4
        - line5
        - city
        - state
        - postalCode
        - country
        - note
      additionalProperties: false
      title: The Address object
      x-conductor-object-type: nested
    qbd_receivable_transaction:
      type: object
      properties:
        transactionId:
          type: string
          description: >-
            The ID of the receivable transaction to which this payment is
            applied.
          example: 123ABC-1234567890
        transactionType:
          type: string
          enum:
            - ar_refund_credit_card
            - bill
            - bill_payment_check
            - bill_payment_credit_card
            - build_assembly
            - charge
            - check
            - credit_card_charge
            - credit_card_credit
            - credit_memo
            - deposit
            - estimate
            - inventory_adjustment
            - invoice
            - item_receipt
            - journal_entry
            - liability_adjustment
            - paycheck
            - payroll_liability_check
            - purchase_order
            - receive_payment
            - sales_order
            - sales_receipt
            - sales_tax_payment_check
            - transfer
            - vendor_credit
            - ytd_adjustment
          description: The type of transaction for this receivable transaction.
          example: invoice
        transactionDate:
          type:
            - string
            - 'null'
          format: date
          description: >-
            The date of this receivable transaction, in ISO 8601 format
            (YYYY-MM-DD).
          example: '2024-10-01'
        refNumber:
          type:
            - string
            - 'null'
          description: >-
            The case-sensitive user-defined reference number for this receivable
            transaction, which can be used to identify the transaction in
            QuickBooks. This value is not required to be unique and can be
            arbitrarily changed by the QuickBooks user.
          example: PAYMENT-1234
        balanceRemaining:
          type:
            - string
            - 'null'
          description: >-
            The outstanding balance of this receivable transaction after
            applying any credits or payments. Represented as a decimal string.
          example: '100.00'
        amount:
          type:
            - string
            - 'null'
          description: >-
            The monetary amount of this receivable transaction, represented as a
            decimal string.
          example: '1000.00'
        discountAmount:
          type:
            - string
            - 'null'
          description: >-
            The monetary amount by which to reduce the receivable transaction's
            receivable amount, represented as a decimal string.
          example: '50.00'
        discountAccount:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The financial account used to track this receivable transaction's
            discount.
          example:
            id: 80000001-1234567890
            fullName: Discount Account
        discountClass:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: The class used to track this receivable transaction's discount.
          example:
            id: 80000001-1234567890
            fullName: Discounts
        linkedTransactions:
          type: array
          items:
            $ref: '#/components/schemas/qbd_linked_transaction'
          description: >-
            The receivable transaction's linked transactions, such as payments
            applied, credits used, or associated purchase orders.


            **IMPORTANT**: You must specify the parameter
            `includeLinkedTransactions` when fetching a list of receivable
            transactions to receive this field because it is not returned by
            default.
      required:
        - transactionId
        - transactionType
        - transactionDate
        - refNumber
        - balanceRemaining
        - amount
        - discountAmount
        - discountAccount
        - discountClass
        - linkedTransactions
      additionalProperties: false
      title: The Receivable Transaction object
      x-conductor-object-type: nested
    qbd_custom_field:
      type: object
      properties:
        ownerId:
          type: string
          description: >-
            The identifier of the owner of the custom field, which QuickBooks
            internally calls a "data extension". For public custom fields
            visible in the UI, such as those added by the QuickBooks user, this
            is always "0". For private custom fields that are only visible to
            the application that created them, this is a valid GUID identifying
            the owning application. Internally, Conductor always fetches all
            public custom fields (those with an `ownerId` of "0") for all
            objects.
          example: '0'
        name:
          type: string
          description: >-
            The name of the custom field, unique for the specified `ownerId`.
            For public custom fields, this name is visible as a label in the
            QuickBooks UI.
          example: Customer Rating
        type:
          type: string
          enum:
            - amount_type
            - date_time_type
            - integer_type
            - percent_type
            - price_type
            - quantity_type
            - string_1024_type
            - string_255_type
          description: The data type of this custom field.
          example: string_1024_type
        value:
          type: string
          description: >-
            The value of this custom field. The maximum length depends on the
            field's data type.
          example: Premium
      required:
        - ownerId
        - name
        - type
        - value
      additionalProperties: false
      title: The Custom Field object
      x-conductor-object-type: nested
    qbd_linked_transaction:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this linked
            transaction. This ID is unique across all transaction types.
          example: 123ABC-1234567890
        objectType:
          type: string
          const: qbd_linked_transaction
          description: The type of object. This value is always `"qbd_linked_transaction"`.
          example: qbd_linked_transaction
        transactionType:
          type: string
          enum:
            - ar_refund_credit_card
            - bill
            - bill_payment_check
            - bill_payment_credit_card
            - build_assembly
            - charge
            - check
            - credit_card_charge
            - credit_card_credit
            - credit_memo
            - deposit
            - estimate
            - inventory_adjustment
            - invoice
            - item_receipt
            - journal_entry
            - liability_adjustment
            - paycheck
            - payroll_liability_check
            - purchase_order
            - receive_payment
            - sales_order
            - sales_receipt
            - sales_tax_payment_check
            - transfer
            - vendor_credit
            - ytd_adjustment
            - unknown
          description: The type of transaction for this linked transaction.
          example: invoice
        transactionDate:
          type: string
          format: date
          description: >-
            The date of this linked transaction, in ISO 8601 format
            (YYYY-MM-DD).
          example: '2024-10-01'
        refNumber:
          type:
            - string
            - 'null'
          description: >-
            The case-sensitive user-defined reference number for this linked
            transaction, which can be used to identify the transaction in
            QuickBooks. This value is not required to be unique and can be
            arbitrarily changed by the QuickBooks user.
          example: LINK-1234
        linkType:
          type:
            - string
            - 'null'
          enum:
            - amount
            - quantity
            - null
          description: >-
            Indicates the nature of the link between the transactions: `amount`
            denotes an amount-based link (e.g., an invoice linked to a payment),
            and `quantity` denotes a quantity-based link (e.g., an invoice
            created from a sales order based on the quantity of items received).
          example: amount
        amount:
          type:
            - string
            - 'null'
          description: >-
            The monetary amount of this linked transaction, represented as a
            decimal string.
          example: '1000.00'
      required:
        - id
        - objectType
        - transactionType
        - transactionDate
        - refNumber
        - linkType
        - amount
      additionalProperties: false
      title: The Linked Transaction object
      x-conductor-object-type: nested
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).